# Changelog paw-HERMES

## liens utiles

  - [swagger du projet](/api/swagger/index.html)
  - [documentation du projet](/api/dmo/doc)

### Liste des hosts accessibles pour la solution :

intitulé|host par vpn|host externe
--------|------------|------------
environnement de développement|[https//dev.hermes.openstack.local](https://dev.hermes.openstack.local)|[https://doc-alshermes-int.be-idys.com](https://doc-alshermes-int.be-idys.com)
environnement de recette|[https://test.hermes.openstack.local](https://test.hermes.openstack.local)|[https://als-hermes-scoring-rec.be-idys.com](https://als-hermes-scoring-rec.be-idys.com)
environnement de démo|[https://demo.hermes.openstack.local](https://demo.hermes.openstack.local)|[https://als-hermes-demo.be-idys.com](https://als-hermes-demo.be-idys.com)

## Notice d'utilisation

### Format des intitulés de version:

ex:

  0|.|34|.|12|-|26/03/2064
  -|-|--|-|--|-|----------
  numéro d'itération de la solution||numéro du patch majeur||numéro du patch mineur||date d'ajout à la branche de développement

  donc : beta 34, patch 12, produit le 26 mars 2064

Les dates afichées représentent donc l'intégration de la version à notre branche de développement.
Ces date ne correspondent donc pas à la date de mise en production sur l'environnement à partir duquel vous consultez ce changelog.

## 0.14.32 - 26/02/20
- ajout des champs `:longitude` et `:latitude` sur les modèles Geolocalizable

## 0.14.31 - 25/02/20
- ajout du modèle `DetailedScore` embedded in `Score`
- ajout de la route nestée '/detailed_score' sur `HousingOffersController` avec affichage conditionnel du score détaillé selon le user role
- tests des modèles et requêtes concernées

## 0.14.30 - 24/02/20
- ajout de min_effort_rate par défaut de 0.333
- ajout du champ `visit_conducted_date` au modèle `HousingApplication`

## 0.14.29 - 21/02/20
- ajout du modèle `LessorObjectiveHistory`
- ajout de la route nestée '/history' sur `HousingOffersController` avec affichage conditionnel des lessor_objective_histories selon le user role
- tests des modèles et requêtes concernées

## 0.14.28 - 17/02/20
- ajout du callback `generate_als_id` en `before_create` du modèle `HousingRequest`

## 0.14.27 - 14/02/20
- ajout du concern `Geolocalizable` sur les modèles `Entity` `HousingOffer` et `Applicant`
- suppression des champs `:latitude` et `:longitude` remplacés par `:coordinates` (`[:latitude, :longitude]`)
- test des modèles concernés

## 0.14.26 - 11/02/20
- prise en compte des nouvelles specs d'objectifs bailleurs
- Ajout du champ `insee_code` dans le modèle `HousingOffer`
- suppression des champs `seeked_districts`, `seeked_departments` et `seeked_district_postal_codes` des mutate params de `HousingRequest`, les champs étant persistés via le `seeked_localisation_list`
- mise à jour du swagger

## 0.14.25 - 06/02/20
- Ajout des réservataires
- possibilité de récuperer les departements SNE
- verification que les départements

## 0.14.24 - 03/02/20
- Ajout d'un utilitaire de recherche dans la documentation

## 0.14.23 - 03/02/20
- Passage des roles Bailleur, Demandeur et Entreprise sur le champs auth_roles au lieu de roles et rle de demandeur par défault
- Récupération des infos de la demande suite à l'envoi du bon code pin recu par email (us 4155)

## 0.14.22 - 30/01/20
- Association code plafond de ressources

## 0.14.21 - 29/01/20
- Historisation des statuts sur : demandeur, entité, candidature, offre et demande et chaqu'un des statuts sur ces models

## 0.14.20 - 27/01/20
- us 2500 (tableau d'objectifs et condition d'incrémentation des objectifs)

## 0.14.19 - 27/01/20
- ajout d'une route pour récuperer toutes les operation_name des offres d'un bailleur
- test pour eviter que des lessors objectives soient dupliqués
- ajout filtre de recherche par siret sur les housing_requests
- mise a jour doc

## 0.14.18 - 22/01/20
- différenciation entre une offre is_public et published
## 0.14.17 - 20/01/20
- débug éligibilité familles 
- 5 nouveaux cas d’éligibilité
## 0.14.16 - 03/01/20
- débug du bug conduisant à la suppression des coapplicants
## Besoin de Core::Develop à la version du 18/12/19 (dernier commit : 63d22d502) :
- ajout de la capacité à mettre des index dans les query params `$or` et `$and`
## 0.14.15 - 19/12/19
- verification de tout les xml préalables à l'envoi
-
## 0.14.14 - 19/12/19
- maj du mapping pour le flux 30 à partir des remarques de la session de test précedente
- refonte du code pour l'US 2895 (la documentation et les points d'accès restent identiques)
## 0.14.13 - 18/12/19
- gestion du scope des documents requis (pour consultation/pour validation)
- ajout de la catégorie du document requis
- ajout des champs required_for_consultation/application , category, et is_for_main_applicant au json du required_document 
- ajout dans la doc de ces infos
## 0.14.12.1 17/12/19
- champs des contacts bailleur d'une offre (lessor_contact_name, lessor_email, lessor_phone_number) et son nom d'agence (agency_name) mutables.
## 0.14.12 - 17/12/19
- correction de l'affichage des groupes de supervision et de management des entités et des bailleurs
## 0.14.11 - 16/12/19
- Gestion des Nuds multiples au niveau du scoring (gestion par département)
## 0.14.10 - 13/12/19
- ajout de la gestion des droits lors de la modification d'un `lessor_siren` sur une offre
## 0.14.9 - 11/12/19
- ajout du point d'entrée permettant d'envoyer un code pin de sécurisation du nud.
- ajout d'un point d'entrée permettant à l'utilisateur de venir autentifier son nud avec le code pin reçu sur son email.
- ajout du champs "file_upload_from_sne_complete" sur les "housing_request_folder", booléen indiquant si la recherche sur le SNE à été réalisée ou non (non fonctionnel pour l'instant)
## Besoin de Core::Develop à la version du 11/12/19 (dernier commit : 70d7de8d1) :
- les recherches inclues les paramètres `$or` et `$and` et sont aussi récursifs
## 0.14.8 - 10/12/19
- hotfix : correction de l'action d'affichage des offres publiques
## 0.14.7 - 10/12/19
- ajout des champs `id`, `created_at` et `updated_at` au retour api des offres publiques.
## 0.14.6 - 10/12/19
- déclenchement du recalcule de l'éligibilité au changement du `offer_status`
## 0.14.5 - 10/12/19
- test du calcul de position avec capacité de monté en charge valide (testé et validé avec 20 000 données de score produites)
## 0.14.4 - 10/12/19
- tests à jour (inclut la première validation fonctionnelle du mapping d'une offre vers le format de la $bdd de SOPRA)
## 0.14.3 - 09/12/19
- prise en compte de toutes les regles de documents requis
## 0.14.2 - 06/12/19
- débuggage des flux sortants sopra
## 0.14.1 - 04/12/19
- L'upload de pièces justificatives passe par une requete PATCH au lieu de POST
- L'url de download des pièces est désormais renvoyée comme url absolue et non comme url relative
- Lancement du changelog en ligne
## 0.14 - 03/12/19
- Ajout de la fonctionnalité de gestion des pièces justificatives
- Ajout du moteur établissant la liste des pièces justificatives en fonction du dossier
- Ajout de la possibilité d'uploader des pièces justificatives
## 0.13.17 - 03/12/19
- affichage de la différence "attente - réalisé" sur les objectifs bailleur
- meilleur gestion de l'als_id + intégration de l'als_id sur les entity
## 0.13.15 - 03/12/19
- autres mises à jour mineurs et correction de la doc
## 0.13.11 à 0.13.14 - 02/12/19
- comptabilisation des  champs “created_at” et “updated_at” dans la recherche
- changement de correspondance du mapping d’envois SOPRA
- correction du bug des points entreprise
